/*******************************************************************************
* File Name: INT1_level0.c  
* Version 1.60
*
*  Description:
*   API for controlling the state of an interrupt.
*
*
*  Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/


#include <CYDEVICE.H>
#include <CYDEVICE_TRM.H>
#include <CYLIB.H>
#include <INT1_level0.H>


/*******************************************************************************
*  Place your includes, defines and code here 
********************************************************************************/
/* `#START INT1_level0_intc` */

/* `#END` */

#ifndef CYINT_IRQ_BASE
#define CYINT_IRQ_BASE	16
#endif
#ifndef CYINT_VECT_TABLE
#define CYINT_VECT_TABLE    ((cyisraddress **) CYREG_NVIC_VECT_OFFSET)
#endif

/* Declared in startup, used to set unused interrupts to. */
CY_ISR_PROTO(IntDefaultHandler);

/*******************************************************************************
* Function Name: INT1_level0_Start
********************************************************************************
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   void.
*
*
* Return:
*   void.
*
*******************************************************************************/
void INT1_level0_Start(void)
{
    /* For all we know the interrupt is active. */
    INT1_level0_Disable();

    /* Set the ISR to point to the INT1_level0 Interrupt. */
    INT1_level0_SetVector(INT1_level0_Interrupt);

    /* Set the priority. */
    INT1_level0_SetPriority(INT1_level0_INTC_PRIOR_NUMBER);

    /* Enable it. */
    INT1_level0_Enable();
}

/*******************************************************************************
* Function Name: INT1_level0_StartEx
********************************************************************************
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   address: Address of the ISR to set in the interrupt vector table.
*
*
* Return:
*   void.
*
*******************************************************************************/
void INT1_level0_StartEx(cyisraddress address)
{
    /* For all we know the interrupt is active. */
    INT1_level0_Disable();

    /* Set the ISR to point to the INT1_level0 Interrupt. */
    INT1_level0_SetVector(address);

    /* Set the priority. */
    INT1_level0_SetPriority(INT1_level0_INTC_PRIOR_NUMBER);

    /* Enable it. */
    INT1_level0_Enable();
}

/*******************************************************************************
* Function Name: INT1_level0_Stop
********************************************************************************
* Summary:
*   Disables and removes the interrupt.
*
* Parameters:  
*
*
* Return:
*   void.
*
*******************************************************************************/
void INT1_level0_Stop(void) 
{
    /* Disable this interrupt. */
    INT1_level0_Disable();

    /* Set the ISR to point to the passive one. */
    INT1_level0_SetVector(IntDefaultHandler);
}

/*******************************************************************************
* Function Name: INT1_level0_Interrupt
********************************************************************************
* Summary:
*   The default Interrupt Service Routine for INT1_level0.
*
*   Add custom code between the coments to keep the next version of this file
*   from over writting your code.
*
*
*
* Parameters:  
*
*
* Return:
*   void.
*
*******************************************************************************/
CY_ISR(INT1_level0_Interrupt)
{
    /*  Place your Interrupt code here. */
    /* `#START INT1_level0_Interrupt` */

	

    /* `#END` */
}

/*******************************************************************************
* Function Name: INT1_level0_SetVector
********************************************************************************
* Summary:
*   Change the ISR vector for the Interrupt. Note calling INT1_level0_Start
*   will override any effect this method would have had. To set the vector before
*   the component has been started use INT1_level0_StartEx instead.
*
*
* Parameters:
*   address: Address of the ISR to set in the interrupt vector table.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void INT1_level0_SetVector(cyisraddress address) 
{
    cyisraddress * ramVectorTable;

    ramVectorTable = (cyisraddress *) *CYINT_VECT_TABLE;

    ramVectorTable[CYINT_IRQ_BASE + INT1_level0__INTC_NUMBER] = address;
}

/*******************************************************************************
* Function Name: INT1_level0_GetVector
********************************************************************************
* Summary:
*   Gets the "address" of the current ISR vector for the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   Address of the ISR in the interrupt vector table.
*
*
*******************************************************************************/
cyisraddress INT1_level0_GetVector(void) 
{
    cyisraddress * ramVectorTable;

    ramVectorTable = (cyisraddress *) *CYINT_VECT_TABLE;

    return ramVectorTable[CYINT_IRQ_BASE + INT1_level0__INTC_NUMBER];
}

/*******************************************************************************
* Function Name: INT1_level0_SetPriority
********************************************************************************
* Summary:
*   Sets the Priority of the Interrupt. Note calling INT1_level0_Start
*   or INT1_level0_StartEx will override any effect this method would have had. 
*	This method should only be called after INT1_level0_Start or 
*	INT1_level0_StartEx has been called. To set the initial
*	priority for the component use the cydwr file in the tool.
*
*
* Parameters:
*   priority: Priority of the interrupt. 0 - 7, 0 being the highest.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void INT1_level0_SetPriority(uint8 priority) 
{
    *INT1_level0_INTC_PRIOR = priority << 5;
}

/*******************************************************************************
* Function Name: INT1_level0_GetPriority
********************************************************************************
* Summary:
*   Gets the Priority of the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   Priority of the interrupt. 0 - 7, 0 being the highest.
*
*
*******************************************************************************/
uint8 INT1_level0_GetPriority(void) 
{
    uint8 priority;


    priority = *INT1_level0_INTC_PRIOR >> 5;

    return priority;
}

/*******************************************************************************
* Function Name: INT1_level0_Enable
********************************************************************************
* Summary:
*   Enables the interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void INT1_level0_Enable(void) 
{
    /* Enable the general interrupt. */
    *INT1_level0_INTC_SET_EN = INT1_level0__INTC_MASK;
}

/*******************************************************************************
* Function Name: INT1_level0_GetState
********************************************************************************
* Summary:
*   Gets the state (enabled, disabled) of the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   1 if enabled, 0 if disabled.
*
*
*******************************************************************************/
uint8 INT1_level0_GetState(void) 
{
    /* Get the state of the general interrupt. */
    return (*INT1_level0_INTC_SET_EN & INT1_level0__INTC_MASK) ? 1:0;
}

/*******************************************************************************
* Function Name: INT1_level0_Disable
********************************************************************************
* Summary:
*   Disables the Interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void INT1_level0_Disable(void) 
{
    /* Disable the general interrupt. */
    *INT1_level0_INTC_CLR_EN = INT1_level0__INTC_MASK;
}

/*******************************************************************************
* Function Name: INT1_level0_SetPending
********************************************************************************
* Summary:
*   Causes the Interrupt to enter the pending state, a software method of
*   generating the interrupt.
*
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void INT1_level0_SetPending(void) 
{
    *INT1_level0_INTC_SET_PD = INT1_level0__INTC_MASK;
}

/*******************************************************************************
* Function Name: INT1_level0_ClearPending
********************************************************************************
* Summary:
*   Clears a pending interrupt.
*
* Parameters:
*   void.
*
*
* Return:
*   void.
*
*
*******************************************************************************/
void INT1_level0_ClearPending(void) 
{
    *INT1_level0_INTC_CLR_PD = INT1_level0__INTC_MASK;
}
