/*******************************************************************************
* File Name: RI.h
* Version 1.60
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__RI_INTC_H__)
#define __RI_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void RI_Start(void);
void RI_StartEx(cyisraddress address);
void RI_Stop(void) ;

CY_ISR_PROTO(RI_Interrupt);

void RI_SetVector(cyisraddress address) ;
cyisraddress RI_GetVector(void) ;

void RI_SetPriority(uint8 priority) ;
uint8 RI_GetPriority(void) ;

void RI_Enable(void) ;
uint8 RI_GetState(void) ;
void RI_Disable(void) ;

void RI_SetPending(void) ;
void RI_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the RI ISR. */
#define RI_INTC_VECTOR            ((reg32 *) RI__INTC_VECT)

/* Address of the RI ISR priority. */
#define RI_INTC_PRIOR             ((reg8 *) RI__INTC_PRIOR_REG)

/* Priority of the RI interrupt. */
#define RI_INTC_PRIOR_NUMBER      RI__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable RI interrupt. */
#define RI_INTC_SET_EN            ((reg32 *) RI__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the RI interrupt. */
#define RI_INTC_CLR_EN            ((reg32 *) RI__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the RI interrupt state to pending. */
#define RI_INTC_SET_PD            ((reg32 *) RI__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the RI interrupt. */
#define RI_INTC_CLR_PD            ((reg32 *) RI__INTC_CLR_PD_REG)



/* __RI_INTC_H__ */
#endif
